#
# Conditional build:
%bcond_without	lxc		# LXC support
%bcond_without	qemu		# Qemu support

# qemu available only on x86 and ppc
%ifnarch %{ix86} %{x8664} x32 ppc
%undefine	with_qemu
%endif

%define		origname	libvirt-python
Summary:	Python 3.x bindings to interact with virtualization capabilities
Summary(pl.UTF-8):	Wiązania Pythona 3.x do współpracy z funkcjami wirtualizacji
Name:		python3-libvirt
Version:	6.6.0
Release:	2
License:	LGPL v2.1+
Group:		Development/Languages/Python
Source0:	https://libvirt.org/sources/python/%{origname}-%{version}.tar.gz
# Source0-md5:	f153718d1d47c2e101b2e152e75fabd3
URL:		https://libvirt.org/
BuildRequires:	libvirt-devel >= 6.6.0
BuildRequires:	pkgconfig
BuildRequires:	python3 >= 1:3.5
BuildRequires:	python3-devel >= 1:3.5
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildConflicts:	python-PyXML < 0.8.4-13
Requires:	libvirt >= 6.6.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libvirt is a C toolkit to interact with the virtualization
capabilities of recent versions of Linux.

This package contains the Python 3.x bindings for the libvirt library.

%description -l pl.UTF-8
Libvirt to zestaw narzędzi w C do współpracy z funkcjami wirtualizacji
obecnych wersji Linuksa.

Ten pakiet zawiera wiązania Pythona 3.x do biblioteki libvirt.

%prep
%setup -q -n %{origname}-%{version}

%build
%py3_build

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{py3_sitedir}/libvirtmod.cpython-*.so
%{py3_sitedir}/libvirt.py
%{py3_sitedir}/__pycache__/libvirt.cpython-*.py[co]
%{py3_sitedir}/libvirtaio.py
%{py3_sitedir}/__pycache__/libvirtaio.cpython-*.py[co]
%if %{with lxc}
%attr(755,root,root) %{py3_sitedir}/libvirtmod_lxc.cpython-*.so
%{py3_sitedir}/libvirt_lxc.py
%{py3_sitedir}/__pycache__/libvirt_lxc.cpython-*.py[co]
%endif
%if %{with qemu}
%attr(755,root,root) %{py3_sitedir}/libvirtmod_qemu.cpython-*.so
%{py3_sitedir}/libvirt_qemu.py
%{py3_sitedir}/__pycache__/libvirt_qemu.cpython-*.py[co]
%endif
%{py3_sitedir}/libvirt_python-%{version}-py*.egg-info
%changelog
* Sat Feb 27 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-libvirt.git;a=log;h=master

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> b07a26d
- release 2 (by relup.sh)

* Sun Oct 04 2020 Jakub Bogusz <qboosh@pld-linux.org> 89f4ed0
- python-libvirt.spec updated to 6.6.0 for python 3.5+

* Sun Oct 04 2020 Jakub Bogusz <qboosh@pld-linux.org> 756c07d
- updated to 5.10.0 (last version with python2 support)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 9a931e5
- rebuild with python 3.8
- release 2 (by relup.sh)

* Mon Aug 05 2019 Jan Palus <atler@pld-linux.org> ace7cbf
- up to 5.6.0

* Wed Jul 03 2019 Jan Palus <atler@pld-linux.org> 9af6b60
- up to 5.5.0

* Mon Jun 03 2019 Jan Palus <atler@pld-linux.org> 37d94a0
- up to 5.4.0

* Sun May 05 2019 Jan Palus <atler@pld-linux.org> d5c1f03
- up to 5.3.0

* Wed Apr 03 2019 Jan Palus <atler@pld-linux.org> cae95e6
- up to 5.2.0

* Thu Mar 07 2019 Jan Palus <atler@pld-linux.org> 312c4c2
- up to 5.1.0

* Wed Jan 16 2019 Jan Palus <atler@pld-linux.org> a3c07ba
- up to 5.0.0

* Mon Dec 03 2018 Jan Palus <atler@pld-linux.org> c04b408
- up to 4.10.0

* Sun Nov 04 2018 Jan Palus <atler@pld-linux.org> becf193
- up to 4.9.0

* Tue Oct 02 2018 Jan Palus <atler@pld-linux.org> e45a096
- up to 4.8.0

* Mon Sep 03 2018 Jan Palus <atler@pld-linux.org> 93db10f
- up to 4.7.0

* Tue Aug 07 2018 Jan Palus <atler@pld-linux.org> efccb31
- up to 4.6.0

* Tue Jul 03 2018 Jan Palus <atler@pld-linux.org> 2c6f7e8
- up to 4.5.0

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 976350b
- release 2 (by relup.sh)

* Tue Jun 05 2018 Jan Palus <atler@pld-linux.org> 2d326e6
- up to 4.4.0

* Wed May 02 2018 Jan Palus <atler@pld-linux.org> 7e7e752
- up to 4.3.0

